Subject: Re: [JGIT PATCH 2/6] Add remote.name.timeout to configure an IO timeout

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 20 Jun 2009 15:54:04 -0700

Robin Rosenberg <[email-masked]> wrote:
> fredag 19 juni 2009 23:27:51 skrev "Shawn O. Pearce" <[email-masked]>:
> > An IO timeout can be useful if the remote peer stops responding,
> > and the user wants the application to abort rather than block
> > indefinitely waiting for more input.
> > 
> > This is a JGit specific extension to the standard remote format.
> 
> Can we we assume C Git won't implement the same thing with a different 
> parameter name, or worse, the same name, but a different unit?

No, we can't assume anything.

I probably should add this to C Git too.  I think its the logical
name and units, e.g `git daemon --timeout=` already exists and
takes seconds as the unit.

I wrote this series because I have a case where the remote server
is sometimes not sending packets out... and the client just blocks.
git fetch has the same issue.  Doing git fetch or jgit fetch from
a cron against this server causes the fetch processes to just pile
up indefiniately.  :-(

-- 
Shawn.